Name: tnos
Distribution: Tampa NOS
Vendor: Brian A. Lantz
Version: RPMV
Release: RPMR
Group: Application/Ham
Copyright: Free for Amateur Radio and Educational purposes
AutoReqProv: no
Summary: TNOS RPMVRPMS Source Files
Source: http://www.lantz.com/ftp/tnos/current/Tnos-RPMVRPMS-src.tar.gz
Prefix: /nos
BuildRoot: /nos

%description
---------------------------------------------------------------------

              Tampa NOS (TNOS) - Release RPMVRPMS

There are three packages available for TNOS. The first is the package which
contains the documentation files (which are also included in this package).
The second is the package that contains all TNOS base files, executables
(for Linux) sample configuration files and documentation files.

This package contains the source code for TNOS RPMVRPMS. 

To build and install this package at the default location of /nos, you do:

	rpm -ba tnos.spec

To build and install this package at some other location than /nos, you do:

	rpm --buildroot <dir> -ba tnos.spec

where <dir> is replaced by the complete pathname of the directory that
you would like the TNOS source installed. The directory will be created,
if it doesn't already exist.

---------------------------------------------------------------------

%prep
%setup -c
sed -e "s./nos.${RPM_BUILD_ROOT}." <mkconfig.tcl >nerf
mv nerf mkconfig.tcl
chmod 755 mkconfig.tcl
sed -e "s.= /nos.= ${RPM_BUILD_ROOT}." <Makefile >nerf
mv nerf Makefile
sed -e "s./nos.${RPM_BUILD_ROOT}." <build-make.inc >nerf
mv nerf build-make.inc
chmod 755 build-make.inc


%build
yes "" | ./configure
make

%install
make install


%pre
echo ""
echo "Installing TNOS RPMVRPMS..."

%post
echo ""
echo "Installation of TNOS RPMVRPMS complete!"

%preun
echo ""
echo "Uninstalling TNOS RPMVRPMS..."

%postun
rm -rf ${RPM_INSTALL_PREFIX}
echo "Uninstallation of TNOS RPMVRPMS complete!"

